ID CVE-2018-10919
Summary The Samba Active Directory LDAP server was vulnerable to an information disclosure flaw because of missing access control checks. An authenticated attacker could use this flaw to extract confidential attribute values using LDAP search expressions. Samba versions before 4.6.16, 4.7.9 and 4.8.4 are vulnerable.
References
Vulnerable Configurations
  • Canonical Ubuntu Linux 14.04 LTS (Long-Term Support)
    cpe:2.3:o:canonical:ubuntu_linux:14.04:-:-:-:lts
  • Canonical Ubuntu Linux 16.04 LTS (Long-Term Support)
    cpe:2.3:o:canonical:ubuntu_linux:16.04:-:-:-:lts
  • Canonical Ubuntu Linux 18.04 LTS Edition
    cpe:2.3:o:canonical:ubuntu_linux:18.04:-:-:-:lts
  • Debian Linux 9.0
    cpe:2.3:o:debian:debian_linux:9.0
  • Samba 4.0.0
    cpe:2.3:a:samba:samba:4.0.0
  • Samba 4.0.1
    cpe:2.3:a:samba:samba:4.0.1
  • Samba 4.0.2
    cpe:2.3:a:samba:samba:4.0.2
  • Samba 4.0.3
    cpe:2.3:a:samba:samba:4.0.3
  • Samba 4.0.4
    cpe:2.3:a:samba:samba:4.0.4
  • Samba 4.0.5
    cpe:2.3:a:samba:samba:4.0.5
  • Samba 4.0.6
    cpe:2.3:a:samba:samba:4.0.6
  • Samba 4.0.7
    cpe:2.3:a:samba:samba:4.0.7
  • Samba 4.0.8
    cpe:2.3:a:samba:samba:4.0.8
  • Samba 4.0.9
    cpe:2.3:a:samba:samba:4.0.9
  • Samba 4.0.10
    cpe:2.3:a:samba:samba:4.0.10
  • Samba 4.0.11
    cpe:2.3:a:samba:samba:4.0.11
  • Samba 4.0.12
    cpe:2.3:a:samba:samba:4.0.12
  • Samba 4.0.13
    cpe:2.3:a:samba:samba:4.0.13
  • Samba 4.0.14
    cpe:2.3:a:samba:samba:4.0.14
  • Samba 4.0.15
    cpe:2.3:a:samba:samba:4.0.15
  • Samba 4.0.16
    cpe:2.3:a:samba:samba:4.0.16
  • Samba 4.0.17
    cpe:2.3:a:samba:samba:4.0.17
  • Samba 4.0.18
    cpe:2.3:a:samba:samba:4.0.18
  • Samba 4.0.19
    cpe:2.3:a:samba:samba:4.0.19
  • Samba 4.0.20
    cpe:2.3:a:samba:samba:4.0.20
  • Samba 4.0.21
    cpe:2.3:a:samba:samba:4.0.21
  • Samba 4.0.22
    cpe:2.3:a:samba:samba:4.0.22
  • Samba 4.0.23
    cpe:2.3:a:samba:samba:4.0.23
  • Samba 4.0.24
    cpe:2.3:a:samba:samba:4.0.24
  • Samba 4.0.25
    cpe:2.3:a:samba:samba:4.0.25
  • Samba 4.0.26
    cpe:2.3:a:samba:samba:4.0.26
  • Samba 4.1.0
    cpe:2.3:a:samba:samba:4.1.0
  • Samba 4.1.1
    cpe:2.3:a:samba:samba:4.1.1
  • Samba 4.1.2
    cpe:2.3:a:samba:samba:4.1.2
  • Samba 4.1.3
    cpe:2.3:a:samba:samba:4.1.3
  • Samba 4.1.4
    cpe:2.3:a:samba:samba:4.1.4
  • Samba 4.1.5
    cpe:2.3:a:samba:samba:4.1.5
  • Samba 4.1.6
    cpe:2.3:a:samba:samba:4.1.6
  • Samba 4.1.7
    cpe:2.3:a:samba:samba:4.1.7
  • Samba 4.1.8
    cpe:2.3:a:samba:samba:4.1.8
  • Samba 4.1.9
    cpe:2.3:a:samba:samba:4.1.9
  • Samba 4.1.10
    cpe:2.3:a:samba:samba:4.1.10
  • Samba 4.1.11
    cpe:2.3:a:samba:samba:4.1.11
  • Samba 4.1.12
    cpe:2.3:a:samba:samba:4.1.12
  • Samba 4.1.13
    cpe:2.3:a:samba:samba:4.1.13
  • Samba 4.1.14
    cpe:2.3:a:samba:samba:4.1.14
  • Samba 4.1.15
    cpe:2.3:a:samba:samba:4.1.15
  • Samba 4.1.16
    cpe:2.3:a:samba:samba:4.1.16
  • Samba 4.1.17
    cpe:2.3:a:samba:samba:4.1.17
  • Samba 4.1.18
    cpe:2.3:a:samba:samba:4.1.18
  • Samba 4.1.19
    cpe:2.3:a:samba:samba:4.1.19
  • Samba 4.1.20
    cpe:2.3:a:samba:samba:4.1.20
  • Samba 4.1.21
    cpe:2.3:a:samba:samba:4.1.21
  • Samba 4.1.22
    cpe:2.3:a:samba:samba:4.1.22
  • Samba 4.1.23
    cpe:2.3:a:samba:samba:4.1.23
  • Samba 4.2.0
    cpe:2.3:a:samba:samba:4.2.0
  • Samba 4.2.0 release candidate 1
    cpe:2.3:a:samba:samba:4.2.0:rc1
  • Samba 4.2.0 release candidate 2
    cpe:2.3:a:samba:samba:4.2.0:rc2
  • Samba 4.2.0 release candidate 3
    cpe:2.3:a:samba:samba:4.2.0:rc3
  • Samba 4.2.0 release candidate 4
    cpe:2.3:a:samba:samba:4.2.0:rc4
  • Samba 4.2.1
    cpe:2.3:a:samba:samba:4.2.1
  • Samba 4.2.2
    cpe:2.3:a:samba:samba:4.2.2
  • Samba 4.2.3
    cpe:2.3:a:samba:samba:4.2.3
  • Samba 4.2.4
    cpe:2.3:a:samba:samba:4.2.4
  • Samba 4.2.5
    cpe:2.3:a:samba:samba:4.2.5
  • Samba 4.2.6
    cpe:2.3:a:samba:samba:4.2.6
  • Samba 4.2.7
    cpe:2.3:a:samba:samba:4.2.7
  • Samba 4.2.8
    cpe:2.3:a:samba:samba:4.2.8
  • Samba 4.2.9
    cpe:2.3:a:samba:samba:4.2.9
  • Samba 4.2.10
    cpe:2.3:a:samba:samba:4.2.10
  • Samba 4.2.11
    cpe:2.3:a:samba:samba:4.2.11
  • Samba 4.2.12
    cpe:2.3:a:samba:samba:4.2.12
  • Samba 4.2.13
    cpe:2.3:a:samba:samba:4.2.13
  • Samba 4.2.14
    cpe:2.3:a:samba:samba:4.2.14
  • Samba 4.3.0
    cpe:2.3:a:samba:samba:4.3.0
  • Samba 4.3.1
    cpe:2.3:a:samba:samba:4.3.1
  • Samba 4.3.2
    cpe:2.3:a:samba:samba:4.3.2
  • Samba 4.3.3
    cpe:2.3:a:samba:samba:4.3.3
  • Samba 4.3.4
    cpe:2.3:a:samba:samba:4.3.4
  • Samba 4.3.5
    cpe:2.3:a:samba:samba:4.3.5
  • Samba 4.3.6
    cpe:2.3:a:samba:samba:4.3.6
  • Samba 4.3.7
    cpe:2.3:a:samba:samba:4.3.7
  • Samba 4.3.8
    cpe:2.3:a:samba:samba:4.3.8
  • Samba 4.3.9
    cpe:2.3:a:samba:samba:4.3.9
  • Samba 4.3.10
    cpe:2.3:a:samba:samba:4.3.10
  • Samba 4.3.11
    cpe:2.3:a:samba:samba:4.3.11
  • Samba 4.3.12
    cpe:2.3:a:samba:samba:4.3.12
  • Samba 4.3.13
    cpe:2.3:a:samba:samba:4.3.13
  • Samba 4.4.0
    cpe:2.3:a:samba:samba:4.4.0
  • Samba 4.4.0 Release Candidate 1
    cpe:2.3:a:samba:samba:4.4.0:rc1
  • Samba 4.4.0 Release Candidate 2
    cpe:2.3:a:samba:samba:4.4.0:rc2
  • Samba 4.4.0 Release Candidate 3
    cpe:2.3:a:samba:samba:4.4.0:rc3
  • Samba 4.4.1
    cpe:2.3:a:samba:samba:4.4.1
  • Samba 4.4.2
    cpe:2.3:a:samba:samba:4.4.2
  • Samba 4.4.3
    cpe:2.3:a:samba:samba:4.4.3
  • Samba 4.4.4
    cpe:2.3:a:samba:samba:4.4.4
  • Samba 4.4.5
    cpe:2.3:a:samba:samba:4.4.5
  • Samba 4.4.6
    cpe:2.3:a:samba:samba:4.4.6
  • Samba 4.4.7
    cpe:2.3:a:samba:samba:4.4.7
  • Samba 4.4.8
    cpe:2.3:a:samba:samba:4.4.8
  • Samba 4.4.9
    cpe:2.3:a:samba:samba:4.4.9
  • Samba 4.4.10
    cpe:2.3:a:samba:samba:4.4.10
  • Samba 4.4.11
    cpe:2.3:a:samba:samba:4.4.11
  • Samba 4.4.12
    cpe:2.3:a:samba:samba:4.4.12
  • Samba 4.4.13
    cpe:2.3:a:samba:samba:4.4.13
  • Samba 4.4.14
    cpe:2.3:a:samba:samba:4.4.14
  • Samba 4.4.15
    cpe:2.3:a:samba:samba:4.4.15
  • Samba 4.4.16
    cpe:2.3:a:samba:samba:4.4.16
  • Samba 4.5.0
    cpe:2.3:a:samba:samba:4.5.0
  • Samba 4.5.0 Release Candidate 1
    cpe:2.3:a:samba:samba:4.5.0:rc1
  • Samba 4.5.0 Release Candidate 2
    cpe:2.3:a:samba:samba:4.5.0:rc2
  • Samba 4.5.0 Release Candidate 3
    cpe:2.3:a:samba:samba:4.5.0:rc3
  • Samba 4.5.1
    cpe:2.3:a:samba:samba:4.5.1
  • Samba 4.5.2
    cpe:2.3:a:samba:samba:4.5.2
  • Samba 4.5.3
    cpe:2.3:a:samba:samba:4.5.3
  • Samba 4.5.4
    cpe:2.3:a:samba:samba:4.5.4
  • Samba 4.5.5
    cpe:2.3:a:samba:samba:4.5.5
  • Samba 4.5.6
    cpe:2.3:a:samba:samba:4.5.6
  • Samba 4.5.7
    cpe:2.3:a:samba:samba:4.5.7
  • Samba 4.5.8
    cpe:2.3:a:samba:samba:4.5.8
  • Samba 4.5.9
    cpe:2.3:a:samba:samba:4.5.9
  • Samba 4.5.10
    cpe:2.3:a:samba:samba:4.5.10
  • Samba 4.5.11
    cpe:2.3:a:samba:samba:4.5.11
  • Samba 4.5.12
    cpe:2.3:a:samba:samba:4.5.12
  • Samba 4.5.13
    cpe:2.3:a:samba:samba:4.5.13
  • Samba 4.5.14
    cpe:2.3:a:samba:samba:4.5.14
  • Samba 4.5.15
    cpe:2.3:a:samba:samba:4.5.15
  • Samba 4.5.16
    cpe:2.3:a:samba:samba:4.5.16
  • Samba 4.6.0
    cpe:2.3:a:samba:samba:4.6.0
  • Samba 4.6.0 Release Candidate 1
    cpe:2.3:a:samba:samba:4.6.0:rc1
  • Samba 4.6.0 Release Candidate 2
    cpe:2.3:a:samba:samba:4.6.0:rc2
  • Samba 4.6.0 Release Candidate 3
    cpe:2.3:a:samba:samba:4.6.0:rc3
  • Samba 4.6.0 Release Candidate 4
    cpe:2.3:a:samba:samba:4.6.0:rc4
  • Samba 4.6.1
    cpe:2.3:a:samba:samba:4.6.1
  • Samba 4.6.2
    cpe:2.3:a:samba:samba:4.6.2
  • Samba 4.6.3
    cpe:2.3:a:samba:samba:4.6.3
  • Samba 4.6.4
    cpe:2.3:a:samba:samba:4.6.4
  • Samba 4.6.5
    cpe:2.3:a:samba:samba:4.6.5
  • Samba 4.6.6
    cpe:2.3:a:samba:samba:4.6.6
  • Samba 4.6.7
    cpe:2.3:a:samba:samba:4.6.7
  • Samba 4.6.8
    cpe:2.3:a:samba:samba:4.6.8
  • Samba 4.6.9
    cpe:2.3:a:samba:samba:4.6.9
  • Samba 4.6.10
    cpe:2.3:a:samba:samba:4.6.10
  • Samba 4.6.11
    cpe:2.3:a:samba:samba:4.6.11
  • Samba 4.6.12
    cpe:2.3:a:samba:samba:4.6.12
  • Samba 4.6.13
    cpe:2.3:a:samba:samba:4.6.13
  • Samba 4.6.14
    cpe:2.3:a:samba:samba:4.6.14
  • Samba 4.6.15
    cpe:2.3:a:samba:samba:4.6.15
  • Samba 4.7.0
    cpe:2.3:a:samba:samba:4.7.0
  • Samba 4.7.0 Release Candidate 1
    cpe:2.3:a:samba:samba:4.7.0:rc1
  • Samba 4.7.0 Release Candidate 2
    cpe:2.3:a:samba:samba:4.7.0:rc2
  • Samba 4.7.0 Release Candidate 3
    cpe:2.3:a:samba:samba:4.7.0:rc3
  • Samba 4.7.0 Release Candidate 4
    cpe:2.3:a:samba:samba:4.7.0:rc4
  • Samba 4.7.0 Release Candidate 5
    cpe:2.3:a:samba:samba:4.7.0:rc5
  • Samba 4.7.0 Release Candidate 6
    cpe:2.3:a:samba:samba:4.7.0:rc6
  • Samba 4.7.1
    cpe:2.3:a:samba:samba:4.7.1
  • Samba 4.7.2
    cpe:2.3:a:samba:samba:4.7.2
  • Samba 4.7.3
    cpe:2.3:a:samba:samba:4.7.3
  • Samba 4.7.4
    cpe:2.3:a:samba:samba:4.7.4
  • Samba 4.7.5
    cpe:2.3:a:samba:samba:4.7.5
  • Samba 4.7.6
    cpe:2.3:a:samba:samba:4.7.6
  • Samba 4.7.7
    cpe:2.3:a:samba:samba:4.7.7
  • Samba 4.7.8
    cpe:2.3:a:samba:samba:4.7.8
  • Samba 4.8.0
    cpe:2.3:a:samba:samba:4.8.0
  • Samba 4.8.0 Release Candidate 1
    cpe:2.3:a:samba:samba:4.8.0:rc1
  • Samba 4.8.0 Release Candidate 2
    cpe:2.3:a:samba:samba:4.8.0:rc2
  • Samba 4.8.0 Release Candidate 3
    cpe:2.3:a:samba:samba:4.8.0:rc3
  • Samba 4.8.0 Release Candidate 4
    cpe:2.3:a:samba:samba:4.8.0:rc4
  • Samba 4.8.1
    cpe:2.3:a:samba:samba:4.8.1
  • Samba 4.8.2
    cpe:2.3:a:samba:samba:4.8.2
  • Samba 4.8.3
    cpe:2.3:a:samba:samba:4.8.3
CVSS
Base: 4.0
Impact:
Exploitability:
CWE CWE-200
CAPEC
  • Subverting Environment Variable Values
    The attacker directly or indirectly modifies environment variables used by or controlling the target software. The attacker's goal is to cause the target software to deviate from its expected operation in a manner that benefits the attacker.
  • Footprinting
    An attacker engages in probing and exploration activity to identify constituents and properties of the target. Footprinting is a general term to describe a variety of information gathering techniques, often used by attackers in preparation for some attack. It consists of using tools to learn as much as possible about the composition, configuration, and security mechanisms of the targeted application, system or network. Information that might be collected during a footprinting effort could include open ports, applications and their versions, network topology, and similar information. While footprinting is not intended to be damaging (although certain activities, such as network scans, can sometimes cause disruptions to vulnerable applications inadvertently) it may often pave the way for more damaging attacks.
  • Exploiting Trust in Client (aka Make the Client Invisible)
    An attack of this type exploits a programs' vulnerabilities in client/server communication channel authentication and data integrity. It leverages the implicit trust a server places in the client, or more importantly, that which the server believes is the client. An attacker executes this type of attack by placing themselves in the communication channel between client and server such that communication directly to the server is possible where the server believes it is communicating only with a valid client. There are numerous variations of this type of attack.
  • Browser Fingerprinting
    An attacker carefully crafts small snippets of Java Script to efficiently detect the type of browser the potential victim is using. Many web-based attacks need prior knowledge of the web browser including the version of browser to ensure successful exploitation of a vulnerability. Having this knowledge allows an attacker to target the victim with attacks that specifically exploit known or zero day weaknesses in the type and version of the browser used by the victim. Automating this process via Java Script as a part of the same delivery system used to exploit the browser is considered more efficient as the attacker can supply a browser fingerprinting method and integrate it with exploit code, all contained in Java Script and in response to the same web page request by the browser.
  • Session Credential Falsification through Prediction
    This attack targets predictable session ID in order to gain privileges. The attacker can predict the session ID used during a transaction to perform spoofing and session hijacking.
  • Reusing Session IDs (aka Session Replay)
    This attack targets the reuse of valid session ID to spoof the target system in order to gain privileges. The attacker tries to reuse a stolen session ID used previously during a transaction to perform spoofing and session hijacking. Another name for this type of attack is Session Replay.
  • Using Slashes in Alternate Encoding
    This attack targets the encoding of the Slash characters. An attacker would try to exploit common filtering problems related to the use of the slashes characters to gain access to resources on the target host. Directory-driven systems, such as file systems and databases, typically use the slash character to indicate traversal between directories or other container components. For murky historical reasons, PCs (and, as a result, Microsoft OSs) choose to use a backslash, whereas the UNIX world typically makes use of the forward slash. The schizophrenic result is that many MS-based systems are required to understand both forms of the slash. This gives the attacker many opportunities to discover and abuse a number of common filtering problems. The goal of this pattern is to discover server software that only applies filters to one version, but not the other.
nessus via4
  • NASL family Slackware Local Security Checks
    NASL id SLACKWARE_SSA_2018-229-02.NASL
    description New samba packages are available for Slackware 14.0, 14.1, 14.2, and -current to fix security issues.
    last seen 2018-11-30
    modified 2018-11-29
    plugin id 111996
    published 2018-08-20
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=111996
    title Slackware 14.0 / 14.1 / 14.2 / current : samba (SSA:2018-229-02)
  • NASL family FreeBSD Local Security Checks
    NASL id FREEBSD_PKG_C4E9A4279FC211E8802A000C29A1E3EC.NASL
    description The samba project reports : Samba releases 4.7.0 to 4.8.3 (inclusive) contain an error which allows authentication using NTLMv1 over an SMB1 transport (either directory or via NETLOGON SamLogon calls from a member server), even when NTLMv1 is explicitly disabled on the server. Missing input sanitization checks on some of the input parameters to LDB database layer cause the LDAP server and DNS server to crash when following a NULL pointer. Samba releases 3.2.0 to 4.8.3 (inclusive) contain an error in libsmbclient that could allow a malicious server to overwrite client heap memory by returning an extra long filename in a directory listing. Missing database output checks on the returned directory attributes from the LDB database layer cause the DsCrackNames call in the DRSUAPI server to crash when following a NULL pointer. All versions of the Samba Active Directory LDAP server from 4.0.0 onwards are vulnerable to the disclosure of confidential attribute values, both of attributes where the schema SEARCH_FLAG_CONFIDENTIAL (0x80) searchFlags bit and where an explicit Access Control Entry has been specified on the ntSecurityDescriptor.
    last seen 2019-02-21
    modified 2018-11-10
    plugin id 111722
    published 2018-08-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=111722
    title FreeBSD : samba -- multiple vulnerabilities (c4e9a427-9fc2-11e8-802a-000c29a1e3ec)
  • NASL family SuSE Local Security Checks
    NASL id OPENSUSE-2018-891.NASL
    description This update for samba fixes the following issues : The following security vulnerabilities were fixed : - CVE-2018-1139: Disable NTLMv1 auth if smb.conf doesn't allow it; (bsc#1095048) - CVE-2018-1140: ldbsearch '(distinguishedName=abc)' and DNS query with escapes crashes; (bsc#1095056) - CVE-2018-10919: Confidential attribute disclosure via substring search; (bsc#1095057) - CVE-2018-10858: smbc_urlencode helper function is a subject to buffer overflow; (bsc#1103411) - CVE-2018-10918: Fix NULL ptr dereference in DsCrackNames on a user without a SPN; (bsc#1103414) This update was imported from the SUSE:SLE-15:Update update project.
    last seen 2019-02-21
    modified 2018-11-29
    plugin id 112000
    published 2018-08-20
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=112000
    title openSUSE Security Update : samba (openSUSE-2018-891)
  • NASL family Debian Local Security Checks
    NASL id DEBIAN_DSA-4271.NASL
    description Several vulnerabilities have been discovered in Samba, a SMB/CIFS file, print, and login server for Unix. The Common Vulnerabilities and Exposures project identifies the following issues : - CVE-2018-10858 Svyatoslav Phirsov discovered that insufficient input validation in libsmbclient allowed a malicious Samba server to write to the client's heap memory. - CVE-2018-10919 Phillip Kuhrt discovered that Samba when acting as an Active Domain controller disclosed some sensitive attributes.
    last seen 2019-02-21
    modified 2018-11-13
    plugin id 111706
    published 2018-08-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=111706
    title Debian DSA-4271-1 : samba - security update
  • NASL family SuSE Local Security Checks
    NASL id OPENSUSE-2018-1195.NASL
    description Samba was updated to 4.6.15, bringing bug and security fixes. (bsc#1110943) Following security issues were fixed : - CVE-2018-10919: Fix unauthorized attribute access via searches. (bsc#1095057); Non-security bugs fixed : - Fix ctdb_mutex_ceph_rados_helper deadlock (bsc#1102230). - Allow idmap_rid to have primary group other than 'Domain Users' (bsc#1087931). - winbind: avoid using fstrcpy in _dual_init_connection. - Fix ntlm authentications with 'winbind use default domain = yes' (bsc#1068059). This update was imported from the SUSE:SLE-12-SP3:Update update project.
    last seen 2019-02-21
    modified 2018-11-02
    plugin id 118196
    published 2018-10-18
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=118196
    title openSUSE Security Update : samba (openSUSE-2018-1195)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_SU-2018-2318-1.NASL
    description This update for samba fixes the following issues: The following security vulnerabilities were fixed : - CVE-2018-1139: Disable NTLMv1 auth if smb.conf doesn't allow it; (bsc#1095048) - CVE-2018-1140: ldbsearch '(distinguishedName=abc)' and DNS query with escapes crashes; (bsc#1095056) - CVE-2018-10919: Confidential attribute disclosure via substring search; (bsc#1095057) - CVE-2018-10858: smbc_urlencode helper function is a subject to buffer overflow; (bsc#1103411) - CVE-2018-10918: Fix NULL ptr dereference in DsCrackNames on a user without a SPN; (bsc#1103414) Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2019-01-02
    plugin id 120077
    published 2019-01-02
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=120077
    title SUSE SLED15 / SLES15 Security Update : samba (SUSE-SU-2018:2318-1)
  • NASL family Ubuntu Local Security Checks
    NASL id UBUNTU_USN-3738-1.NASL
    description Svyatoslav Phirsov discovered that the Samba libsmbclient library incorrectly handled extra long filenames. A malicious server could use this issue to cause Samba to crash, resulting in a denial of service, or possibly execute arbitrary code. (CVE-2018-10858) Volker Mauel discovered that Samba incorrectly handled database output. When used as an Active Directory Domain Controller, a remote authenticated attacker could use this issue to cause Samba to crash, resulting in a denial of service. This issue only affected Ubuntu 18.04 LTS. (CVE-2018-10918) Phillip Kuhrt discovered that the Samba LDAP server incorrectly handled certain confidential attribute values. A remote authenticated attacker could possibly use this issue to obtain certain sensitive information. (CVE-2018-10919) Vivek Das discovered that Samba incorrectly handled NTLMv1 being explicitly disabled on the server. A remote user could possibly be authenticated using NTLMv1, contrary to expectations. This issue only affected Ubuntu 18.04 LTS. (CVE-2018-1139). Note that Tenable Network Security has extracted the preceding description block directly from the Ubuntu security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-12-01
    plugin id 111748
    published 2018-08-15
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=111748
    title Ubuntu 14.04 LTS / 16.04 LTS / 18.04 LTS : samba vulnerabilities (USN-3738-1)
  • NASL family Misc.
    NASL id SAMBA_4_6_15.NASL
    description The version of Samba running on the remote host is 4.6.x prior to 4.6.16, or 4.7.x prior to 4.7.9, or 4.8.x prior to 4.8.4. It is, therefore, affected by multiple vulnerabilities.
    last seen 2019-02-21
    modified 2018-12-07
    plugin id 111974
    published 2018-08-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=111974
    title 4.6.x < 4.6.16 / 4.7.x < 4.7.9 / 4.8.x < 4.8.4 Multiple Vulnerabilities
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2018-8E4D871867.NASL
    description Update to Samba 4.7.9, Security fix for CVE-2018-1139, CVE-2018-1140, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919 Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-11-02
    plugin id 112051
    published 2018-08-22
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=112051
    title Fedora 27 : 2:samba (2018-8e4d871867)
  • NASL family SuSE Local Security Checks
    NASL id SUSE_SU-2018-3161-1.NASL
    description Samba was updated to 4.6.15, bringing bug and security fixes. (bsc#1110943) Following security issues were fixed : CVE-2018-10919: Fix unauthorized attribute access via searches. (bsc#1095057); Non-security bugs fixed: Fix ctdb_mutex_ceph_rados_helper deadlock (bsc#1102230). Allow idmap_rid to have primary group other than 'Domain Users' (bsc#1087931). winbind: avoid using fstrcpy in _dual_init_connection. Fix ntlm authentications with 'winbind use default domain = yes' (bsc#1068059). Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2018-12-01
    plugin id 118172
    published 2018-10-17
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=118172
    title SUSE SLED12 / SLES12 Security Update : samba (SUSE-SU-2018:3161-1)
  • NASL family Fedora Local Security Checks
    NASL id FEDORA_2018-BC22D6C7BC.NASL
    description Update to Samba 4.8.4, Security fix for CVE-2018-1139, CVE-2018-1140, CVE-2018-10858, CVE-2018-10918, CVE-2018-10919 Note that Tenable Network Security has extracted the preceding description block directly from the Fedora update system website. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.
    last seen 2019-02-21
    modified 2019-01-03
    plugin id 120746
    published 2019-01-03
    reporter Tenable
    source https://www.tenable.com/plugins/index.php?view=single&id=120746
    title Fedora 28 : 2:samba / libldb (2018-bc22d6c7bc)
refmap via4
bid 105081
confirm
debian DSA-4271
ubuntu USN-3738-1
Last major update 22-08-2018 - 13:29
Published 22-08-2018 - 13:29
Last modified 01-11-2018 - 12:22
Back to Top